<?php
require_once("../../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../../includes/academia_constantes.php");
require_once("../../includes/funciones_generales.php");
$sesion->set('permiso',permisos($_POST['privilegio']));	

require_once("../../includes/lib_lenguaje.php");
$cleguaje=new cLanguage("../../phplang/");
 
if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}

require_once("../../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<script  type="text/javascript"> 


$(document).ready(function(){
	var tbl_opciones=$("#generales");
	var plantilla_listado="consta_matricula.php";
	$("#ob_radio").buttonset().change(function(){
		if ($(':checked',this).val()=='3'){
			tbl_opciones.show('blind', 'slow');
			}
		else{
			if (tbl_opciones.is(':visible'))
				tbl_opciones.hide('blind', 'slow');
			
			if ($(':checked',this).val()=='2'){
				$("#retir").hide(); 
				$("#retirado").removeAttr("checked");
			}
			else
			{
				$("#retir").show(); 	
			}
			}
		plantilla_listado=$(':checked',this).attr("data-url")+".php";	
		});
	
	var grilla;
	var lastsel3;
	var datos=new Array();
	var cod_area="";
	
	var parametros="?tb=adm_sedes&cmps=cod_sede, initcap(nom_sede) as 'nom_sede'&ord=ORDER BY cod_sede ASC&grilla=1";	
	var parametros_jor="?tb=aux_jornadas&cmps=ide_jornada, nom_jornada&grilla=1";	
	
	var confgrid={
		
		height: 300,
		width:735,
		datatype: "local",
		data:null,
		hidegrid:false,
		multiselect: false,
		rowNum:300,
		rowList:[15,30,50],
		pgbutton:false,
		pager: '#pager_listados',
		viewrecords: true,
		scrollrows:true,
		caption:'<?php echo $cleguaje->Phrase('listados','titulogrilla') ?>',
		toolbar:[true,"top"],
		grouping:true,
		groupingView:{groupField:["sede"],
			groupCollapse:true,
			groupText:['<b>{0} - {1} Grupos</b>'],
			groupSummary : [true],
			showSummaryOnHide: false,
			}, 
 

		ondblClickRow:function(rowid){
		//	jQuery("#listado_estudiantes").expandSubGridRow(rowid)
		},
	
		colNames:[
			'<?php echo $cleguaje->Phrase('listados','cdgrupo') ?>',
			'<?php echo $cleguaje->Phrase('listados','sede') ?>',
			'<?php echo $cleguaje->Phrase('listados','jornada') ?>',
			'<?php echo $cleguaje->Phrase('listados','grado') ?>',
			'<?php echo $cleguaje->Phrase('listados','grupo') ?>',
			'<?php echo $cleguaje->Phrase('listados','num_estudiantes') ?>'
			
		],
		colModel:[
			{name:'codigo',index:'codigo',resizable:false,width:110,hidden:true, key:true},
			{name:'sede',index:'sede',resizable:false,width:200,summaryType:'count', summaryTpl : 'Total estudiantes'},
			{name:'jornada',index:'jornada', width:140, searchoptions:{searchhidden:true} },
			{name:'grado',index:'grado',resizable:false,width:160},
			{name:'grupo',index:'grupo',resizable:false,width:70, search:false},
			{name:'numero',index:'numero',resizable:false,width:100, search:false, sorttype:'integer',formatter:'integer',summaryType:'sum'},	
		],
		loadComplete:function(){
			cambiar_iconos('pager_estudiantes')
		},
		shrinkToFit:false,
	}
	
	
	$.ajax({
		url:'mod_reportes/constancias/list_estudiantes.php',
		dataType:"json",
		//async:false,
		success: function(rta){
			confgrid.data=rta;
			grilla=jQuery("#listado_estudiantes").jqGrid(confgrid);		
			coloca_boton({
				id:'boton',
				elem:'t_listado_estudiantes',
				buttonicon:'ui-btn-pdf',
				title:'<?php echo $cleguaje->Phrase('listados','title_pdf'); ?>',
				caption:'<?php echo $cleguaje->Phrase('listados','title_pdf'); ?>',
				
				onClickButton:function(){
					var gruposel=(grilla.getGridParam("selrow"));
					if (gruposel!=null){
						var datagroup=grilla.getRowData(gruposel);
						var datos='codgru='+gruposel+'&sede='+datagroup.sede+'&jorn='+datagroup.jornada+'&grado='+datagroup.grado+'&grupo='+datagroup.grupo+'&num='+datagroup.numero;
						
						var var_cheq="";
						var var_opti=$("#ob_chequeos").serialize();
						if ($(':checked',$("#ob_radio")).val()=='3'){
								var_cheq='&'+$("#cb_chequeos").serialize();
							}
						$.fn.colorbox({
							href: "mod_reportes/constancias/"+plantilla_listado+'?'+datos+'&'+var_opti+var_cheq,iframe:true, height:"600px",width:"800px"
						})
					}
					else
					{
						jAlert('<?php echo $cleguaje->Phrase('listados','selrec'); ?>','<?php echo $cleguaje->Phrase('project','empresa'); ?>');	
					}	
				}
			});
			$("#help_listado_estudiantes").append('Agrupar por: <select id="chngroup" > <option value="sede">Sedes</option> <option value="jornada">Jornadas</option> <option value="grado">Grados</option> </select>');
			
			jQuery("#listado_estudiantes").jqGrid('navGrid','#pager_estudiantes',{add:false,edit:false,del:false}, {}, {}, {}, {
				multipleSearch:true,
				modal:false,
				resize : false,
				width:"auto",
			});
		
			jQuery("#listado_estudiantes").jqGrid('setGroupHeaders', {
				useColSpanStyle: true, 
				groupHeaders:[
					{startColumnName: 'numedocumento_est', numberOfColumns: 6, titleText: '<em>Información personal</em>'},
					{startColumnName: 'estado_est', numberOfColumns: 4, titleText: '<em><?php echo $cleguaje->Phrase('estudiantes','info_academica') ?></em>'}
				]
			});
			
			
				$("#chngroup").change(function(){ 
				var vl = $(this).val(); 
				if(vl) { 
					if(vl == "clear") { 
						grilla.jqGrid('groupingRemove',true); 
					} 
					else 
					{ 
						grilla.jqGrid('groupingGroupBy',vl); 
					} 
				} 
				});
			}
		})
});
</script>
<title>Estudiantes</title>
</head>

<body>
<form id="ob_chequeos">
<table width="710" align="center">
<tr><td width="166">
<table width="188" align="left" >
	<tr><td width="178"><div id="ob_radio">
  <input name="ob_radio" type="radio" data-url="consta_matricula" id="ob_notas1"  value="1" checked="checked"/>
  <label for="ob_notas1">Certificado de matrícula</label><br />
 
  <input type="radio" name="ob_radio" data-url="consta_estudio" id="ob_notas2" value="2" />
  <label for="ob_notas2">Certificado de estudio</label><br />
 
<input type="radio" name="ob_radio" data-url="consta_familia" id="ob_notas3" value="3" />
  <label for="ob_notas3">Familias en acción</label></div></td>
  </tr></table>
</td><td width="6" >&nbsp;</td><td width="144">
<table align="left" >
	<tr>
	  <td class="ui-widget-header">Orientación de la hoja</td></tr><tr><td><input name="ob_orientacion" type="radio" id="ob_orientacion1"  value="P" checked="checked"/>
  <label for="ob_orientacion1">Vertical</label></td></tr><tr><td>
  <input type="radio" name="ob_orientacion" id="ob_orientacion2" value="L" />
  <label for="ob_orientacion2">Horizontal</label></td></tr><tr>
  </tr></table>
  </td>
  <td width="6" >&nbsp;</td><td width="123">
<table align="left">
	<tr><td class="ui-widget-header">Tamaño de la hoja</td></tr>
    <tr><td>
  <input name="ob_tamano" type="radio" id="ob_tamano1"  value="LETTER" checked="checked"/>
  <label for="ob_tamano1">Carta</label>
  </td></tr>
  <tr><td>
  <input type="radio" name="ob_tamano" id="ob_tamano2" value="LEGAL"/>
  <label for="ob_tamano2">Oficio</label>
</td></tr>
</table>
</td>
  
  <td width="6" >&nbsp;</td><td width="227">
<table width="221" align="left" >
	<tr>
	  <td style="width:200px"><div id='retir'><input type="checkbox" name="retirado" id="retirado" />
<label for="retirado">Mostrar estudiantes Retirados</label></div></td></tr></table>
</td>
</tr></table>
  
</form>

<br/>

<table id="listado_estudiantes"></table>
		 <div id="pager_listados"></div>


<p>
  <?php 
	$academia->cerrar();
?>
</p>
  


</body>
</html>